'\" t
.TH foo2hp 1 "${MODpage}" "foo2hp ${MODver}"
#ifndef OLDGROFF
#include "macros.man"
#endif
'\"==========================================================================
'\"	MANUAL PAGE SOURCE
'\"==========================================================================
.SH NAME
foo2hp \- Convert Ghostscript pbmraw or bitcmyk format into a
ZJS printer stream
.SH SYNOPSIS
.B foo2hp
.RI [ options "] <" pbmraw-file " >" zjs-file
.sp 1
.B foo2hp
.RI [ options "] <" bitcmyk-file " >" zjs-file
.sp 1
.B foo2hp
.RI [ options "] <" cups-file " >" zjs-file
.SH DESCRIPTION
.B foo2hp
converts Ghostscript pbmraw, bitcmyk, or cups output formats to monochrome
or color ZJS streams,
for driving the Hewlett-Packard 2600n color laser printer
and other Zenographics-based printers.

.SH COMMAND LINE OPTIONS
.SS Normal Options
These are the options used to select the parameters of a
print job that are usually controlled on a per job basis.
.TP
.BI \-b\0 bits
Bits per plane if autodetect doesn't work (1 or 2) [1].
.TP
.BI \-c
Force color mode if autodetect doesn't work.
.TP
.BI \-d\0 duplex
Duplex code to send to printer [1].
.TS
| n l | n l | n l .
1	off	2	long edge	3	short edge
.TE
.TP
.BI \-g\0 xpix x ypix
Set page dimensions in pixels [10200x6600].
.TP
.BI \-m\0 media
Media code to send to printer [1].
.TS
l l
l n.
_
Media	HPLJ 2600n
_
plain	1
preprinted	514
letterhead	513
transparency	2
prepunched	515
labels	265
bond	260
recycled	516
color	512
tough	276
envelope	267
light	258
heavy	262
cardstock	261
lightglossy	268
glossy	269
heavyglossy	270
cover	277
photo	278
.TE
.TP
.BI \-p\0 paper
Paper code to send to printer [1].
.TS
box;
| n l | n l.
1	letter	9	A4
5	legal	11	A5
7	executive	13	B5jis
20	env #10	27	env DL
28	env C5	34	env B5
37	env Monarch		
.TE
.TP
.BI \-n\0 copies
Number of copies [1].
.TP
.BI \-r\0 xres x yres
Set device resolution in pixels/inch [600x600].
.TP
.BI \-s\0 source
Source (InputSlot) code to send to printer [7].
.TS
| n l | n l.
1	tray 2	7	auto
2	tray 1
.TE
.TP
.BI \-t
Draft mode.  Every other pixel is white.
.TP
.BI \-J\0 filename
Filename string to send to printer.
.TP
.BI \-U\0 username
Username string to send to printer.
.SS Printer Tweaking Options
These are the options used to customize the operation of \fBfoo2hp\fP
for a particular printer.
.TP
.BI \-u\0 xoff x yoff
Set the offset of the start of the printable region from the
upper left corner, in pixels [0x0].
.TP
.BI \-l\0 xoff x yoff
Set the offset of the end of the printable region from the
lower right corner, in pixels [0x0].
.TP
.BI \-L\0 mask
Send logical clipping amounts implied by -u/-l in the ZjStream [3].
.TS
l l.
0	don't send any logical clipping amounts
1	only send Y clipping amount
2	only send X clipping amount
3	send both X and Y clipping amounts
.TE
.TP
.BI \-P
Do not send START_PLANE codes on monochrome output.  May be
needed by some black and white only printers, such as the
HP LaserJet 1000.
.TP
.BI \-A
AllIsBlack: convert C=1,M=1,Y=1 to just K=1.  Works with bitcmyk input only.
.TP
.BI \-B
BlackClears: K=1 forces C,M,Y to 0.  Works with bitcmyk input only.
.TP
.BI \-X\0 padlen
Add extra zero padding to the end of BID segments.  The default is
16 bytes.
.SS Debugging Options
These options are used for debugging \fBfoo2hp\fP.
.TP
.BI \-S\0 plane
Output just a single color plane from a color print and print it
on the black plane.  The default is to output all color planes.
.TS
l l.
1	Cyan
2	Magenta
3	Yellow
4	Black
.TE
.TP
.BI \-D\0 level
Set Debug level [0].

.SH EXAMPLES
Create a black and white ZJS stream:

.RS
.nf
gs -q -dBATCH -dSAFER -dQUIET -dNOPAUSE \ 
    -sPAPERSIZE=letter -r600x600 -sDEVICE=pbmraw \ 
    -sOutputFile=- - < testpage.ps \ 
| foo2hp -r600x600 -g5100x6600 -p1 >testpage.zm
.fi
.RE
.P
Create a color ZJS stream:

.RS
.nf
gs -q -dBATCH -dSAFER -dQUIET -dNOPAUSE \ 
    -sPAPERSIZE=letter -g5100x6600 -r600x600 -sDEVICE=bitcmyk \ 
    -sOutputFile=- - < testpage.ps \ 
| foo2hp -r600x600 -g5100x6600 -p1 >testpage.zc
.fi
.RE

.SH FILES
.BR /usr/bin/foo2hp
.SH SEE ALSO
.BR foo2hp2600-wrapper (1),
.BR zjsdecode (1)
.SH "AUTHOR"
Rick Richardson <rick.richardson@comcast.net>
.br
${URLHP}/
'/"
'/"
'/"
.em pdf_outline
